@charset "utf-8";
/* SHOP MENUのCSS */

/*リセットCSSここから*/
*,*::before,*::after{box-sizing:border-box}*{margin:0;padding: 0;}body{line-height:1.5;-webkit-font-smoothing:antialiased}img,picture,video,canvas,svg{display:block;max-width:100%}input,button,textarea,select{font:inherit}p,h1,h2,h3,h4,h5,h6{overflow-wrap:break-word}#root,#__next{isolation:isolate}
ul,ol{list-style: none;}a{color: inherit;text-decoration:none;}
/*リセットCSSここまで*/
html{
	font-size: 62.5%;/*1em＝10pxにする指定*/
    font-family: "Shippori Mincho", serif;
    color: #38120a;
}
#bg-all {
    width: 100vw;
    height: auto;
    background-image: url("../img/haikei.png");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center top;
    background-attachment: fixed;
}
.all-width{
    max-width: 430px;
    margin: auto;
    background-image: url("../img/back-ground-marble.png");
    overflow: hidden;
}
.header-inner{
    width: 430px;
    height: 60px;
    background-color: transparent;
    position: fixed;
    z-index: 9999;
}
.title{
    max-width: 430px;
    width: 100vw;
    height: 60px;
    background-color: #fff;
}
.title h1{
    margin: auto;
    text-align: center;
    line-height: 60px;
}
/*========= ナビゲーションのためのCSS ===============*/
#g-nav{
    /*position:fixed;にし、z-indexの数値を大きくして前面へ*/
    position:fixed;
    z-index: 999;
    /*ナビのスタート位置と形状*/
	top:-120%;
    /*left:0;*/
	width: 430px;
    height: 95vh;/*ナビの高さ*/
	background:radial-gradient(circle at 1% 0%, rgba(137, 191, 216, 1), rgba(8, 116, 147, 1) 40%);
    border-radius: 0 0 100px 0;
    /*動き*/
	transition: all 0.6s;
}

/*アクティブクラスがついたら位置を0に*/
#g-nav.panelactive{
    top: 0;
}

/*ナビゲーション*/
#g-nav-list ul {
    /*ナビゲーション天地中央揃え*/
    position: absolute;
    z-index: 999;
    top:40%;
    left:50%;
    transform: translate(-50%,-50%);
}

/*リストのレイアウト設定*/

#g-nav li{
	list-style: none;
    text-align: center; 
}

#g-nav li a{
	color: #fff;
    font-size: 25px;
	text-decoration: none;
	padding:10px;
	display: block;
	text-transform: uppercase;
	letter-spacing: 0.1em;
	font-weight: bold;
    white-space: nowrap;
}
#g-nav-list li a:hover{
    color: #38120a;
}
.sns-nav{
    display: flex;
    position: absolute;
    top:75%;
    left: 50%;
    transform: translate(-50%,-50%);
	margin-top: 30px;
}
/*========= ボタンのためのCSS ===============*/
.openbtn{
	position:fixed;
    z-index: 9999;/*ボタンを最前面に*/
	top:7px;
	cursor: pointer;
    width: 60px;
    height:60px;
}
	
/*×に変化*/	
.openbtn span{
    display: inline-block;
    transition: all .4s;
    position: absolute;
    left: 14px;
    height: 3px;
    border-radius: 2px;
	background-color: #38120a;
  	width: 55%;
  }

.openbtn span:nth-of-type(1) {
	top:15px;	
}

.openbtn span:nth-of-type(2) {
	top:23px;
}

.openbtn span:nth-of-type(3) {
	top:31px;
}

.openbtn.active span:nth-of-type(1) {
    top: 18px;
    left: 18px;
    transform: translateY(6px) rotate(-45deg);
    width: 50%;
    background-color: #fff;
}

.openbtn.active span:nth-of-type(2) {
	opacity: 0;
    
}

.openbtn.active span:nth-of-type(3){
    top: 30px;
    left: 18px;
    transform: translateY(-6px) rotate(45deg);
    width: 50%;
    background-color: #fff;
}

h2{
    width: 80%;
    margin: 50px auto auto;
    font-size: 19px;
    border-top: solid 1px #38120a;
    border-bottom: solid 1px #38120a;
}
h2 p{
    margin: 15px auto 15px 0;
    font-weight: 800;
    text-align: left;
}
.limited-img{
    position: relative;
}
.set-menu img{
    width: 250px;
    height: 250px;
    object-fit: cover;
    border-radius: 10px;
}
.set-menu .limited-icon{
    position: absolute;
    top: -2%;
    left: 32%;
    z-index: 10;
    max-width: 180px;
    width: 70%;
    height: auto;
    object-fit: contain;
    transform: rotate(15deg);
}
.set-menu{
    width: 90%;
    margin: 50px auto 50px;
    font-weight: 500;
    position: relative;
    z-index: 1;
}
.set-menu li{
    margin-top: 50px;
    white-space: nowrap;
}
.set-menu li:nth-child(2){
    margin-left: 35%;
    text-align: right;
}

.set-menu dd{
    margin-top: 5px;
    font-size: 16px;
    font-weight: 600;
    line-height: 1.7;
}
.chocolate-menu,.drink-menu{
    width: 85%;
    margin: 50px auto;
    font-size: 16px;
    font-weight: 500;
    line-height: 2.5;
}
.supplement{
    width: 85%;
    font-size: 15px;
    line-height: 2;
    margin: auto;
    padding-bottom: 50px;
    white-space: nowrap;
}


/** アニメーションスタートの遅延時間を決めるCSS*/

.delay-time02{
animation-delay: 0.4s;
}

.delay-time04{
animation-delay: 0.6s;
}

/*==================================================
スタート時は要素自体を透過0にするためのopacity:0;を指定する
===================================*/

.box{
	opacity: 0;
}

/*==================================================
動き自体の指定：今回は「ふわっ」
===================================*/

.fadeUp {
animation-name:fadeUpAnime;
animation-duration:1s;
animation-fill-mode:forwards;
opacity: 0;
}
@keyframes fadeUpAnime{
  from {
    opacity: 0;
	transform: translateY(100px);
  }

  to {
    opacity: 1;
	transform: translateY(0);
  }
}

.text-loop-item{
    animation: textloop 35s infinite linear;
    white-space: nowrap;
    width: 100%;
    color: #087493;
    font-size: 100px;
    font-family: "Lobster", sans-serif;
    font-weight: 400;
    font-style: normal;
    opacity: 0.2;
    margin: 10px 0 50px;
    letter-spacing: 0.02em;
}
@keyframes textloop{
    0%{transform: translateX(0);
    }
    100%{
        transform: translateX(-100%);
    }
}
/*文字のループアニメーション*/

@media(max-width: 429px) {
#g-nav{
        width: 100vw;
    }
.all-width{
        width: 100vw;
    }
.set-menu{
    max-inline-size: max-content;
    margin-inline: auto;
}
.set-menu .limited-icon{
   left: 44%;
    }
.set-menu img{
    margin: auto;
}
.set-menu li:nth-child(2){
    margin: 50px auto auto;
    text-align: left;
}
}